编译环境配置
     分类:Dev     有: 0 条评论

编译环境配置

     分类:Dev     有: 0 条评论

普通软件编译环境

升级make版本

#安装Make(版本4以上)
wget http://ftp.gnu.org/gnu/make/make-4.2.tar.gz   #4以上
tar -zxvf make-4.2.tar.gz
cd make-4.2
./configure
make
make install

升级cmake版本

法一:此方法会自动覆盖旧版本,直接cmake就是所安装的版本了。

yum install -y gcc gcc-c++ make automake

# 下载cmake源代码包,可以去官网查看最新版的下载地址:https://cmake.org/download/
wget https://cmake.org/files/v3.10/cmake-3.10.0-rc3.tar.gz
tar -zxvf tar -zxvf cmake-3.10.0-rc3.tar.gz
cd cmake-3.10.0-rc3/ 
./bootstrap 
gmake 
gmake install

法二:直接安装cmake3
这样安装的不会覆盖旧版本,需要时用cmake3编译。

yum install -y cmake3    #Centos7的才可以,但是7.1不行
apt install -y cmake3

法三:
用此方法如果旧版本的是源码编译安装的,这时候会直接覆盖;如果不是,则需要手动链接覆盖或不覆盖。

# cmake软件包的最新版本可以看:https://cmake.org/download/
wget https://cmake.org/files/v3.10/cmake-3.10.0.tar.gz
tar zxf cmake-3.10.0.tar.gz
cd cmake-3.10.0
./configure
make && make install
/usr/local/bin/cmake --version

gcc版本升级

https://www.leolan.top/index.php/posts/199.html


Linux内核编译环境


(●゚ω゚●)